%define	upstream_name	 Crypt-CAST5_PP
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	CAST5 block cipher in pure Perl
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch:	noarch


%description
This module provides a pure Perl implementation of the CAST5 block cipher.
CAST5 is also known as CAST-128. It is a product of the CAST design procedure
developed by C. Adams and S. Tavares.

The CAST5 cipher is available royalty-free.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README META.yml
%{perl_vendorlib}/Crypt/*
%{perl_vendorlib}/auto/Crypt/*
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 510323
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 364829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 29978
- mageia rebuild
- imported package perl-Crypt-CAST5_PP


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 408944
- rebuild using %%perl_convert_version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.04-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 1.04-1mdv2008.0
+ Revision: 42904
- Import perl-Crypt-CAST5_PP



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 1.04-1mdv2007.1
- initial package
